#
# common.rb
#
#   Copyright (c) 1999 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#


def _name2str( arg )
  case arg
  when String  then return arg
  when Integer then return arg.id2name
  else
    raise TypeError, "wrong arg type #{arg.type} for expected String/Fixnum"
  end
end

def _type2str( arg )
  case arg
  when String  then return arg
  when Integer then return arg.id2name
  when Module  then return arg.name
  when Array
    return arg.collect{|i| _type2str i }.join(',')
  else
    raise TypeError,
      "wrong arg type #{arg.type} for expected String/Fixnum/Module/Array"
  end
end
